Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#54161 - [deluge] Cannot open preferences; new commit available

Attached to Project: Arch Linux
Opened by Moabit (Moabit) - Tuesday, 23 May 2017, 03:41 GMT
Last edited by Jan Alexander Steffens (heftig) - Thursday, 19 April 2018, 18:04 GMT
Task Type Bug Report
Category Upstream Bugs
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
deluge 1.3.15-1 introduced a bug where the preferences cannot be opened. Upstream immediately fixed it, as per this forum thread [a]. I tested the patch [b], and can confirm the fix. I think the commit has been pushed to the tar release, but the version number hasn't been bumped.

Additional info: deluge 1.3.15-1

Steps to reproduce: Attempt to open preferences

[a] http://forum.deluge-torrent.org/viewtopic.php?f=7&t=54517
[b] http://git.deluge-torrent.org/deluge/commit/?h=1.3-stable&id=38d7b7cdfde3c50d6263602ffb03af92fcbfa52e
This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Thursday, 19 April 2018, 18:04 GMT
Reason for closing:  Fixed
Comment by John (graysky) - Tuesday, 23 May 2017, 19:16 GMT
@Moabit - Preferences opens without work just fine for me with deluge 1.3.15-1.
Comment by Moabit (Moabit) - Wednesday, 24 May 2017, 03:45 GMT
Weird. Maybe it only occurs on particular configurations? Mine originally failed, I applied the patch, then it worked.

FWIW upstream has confirmed the existence of the bug, committed the fix, and created a new release, so I think that Arch is fairly safe to do the same. The only issue is that Arch doesn't pull from the tarred release, but from a specific commit in the git repo instead, which is now too old.
Comment by John (graysky) - Friday, 26 May 2017, 23:19 GMT
Actually, I am able to reproduce this on another box (frontend gtk client only). I can also say that the patch you linked fixes it. Recommend Jan add this to our package.
Comment by Bernhard Landauer (oberon) - Thursday, 19 April 2018, 17:59 GMT
The commit in question is already included in the latest package. I think this can be closed.

Loading...